This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1250526 - Review Request: perl-Iterator-Simple-Lookahead - Simple iterator with look-ahead and unget
Review Request: perl-Iterator-Simple-Lookahead - Simple iterator with look-ah...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
: Reopened
Depends On: 1250447
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 08:12 EDT by Petr Pisar
Modified: 2015-09-21 06:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.06-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-21 06:51:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-08-05 08:12:00 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Iterator-Simple-Lookahead/perl-Iterator-Simple-Lookahead.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Iterator-Simple-Lookahead/perl-Iterator-Simple-Lookahead-0.07-1.fc24.src.rpm
Description:
This Perl module encapsulates an iterator that allows the user to peek the Nth
element without consuming it or to push elements back to the iterated stream.

Fedora Account System Username: ppisar
Comment 1 Petr Šabata 2015-08-12 07:06:58 EDT
* Missing buildtime dependency: sed, used on line 46

* Correct EOLs of lib/Iterator/Simple/Lookahead.pm, too.
Comment 2 Petr Pisar 2015-08-24 07:09:12 EDT
(In reply to Petr Šabata from comment #1)
> * Missing buildtime dependency: sed, used on line 46
> 
I fixed it. Updated package is on the same URL.

> * Correct EOLs of lib/Iterator/Simple/Lookahead.pm, too.
I do not want to convert this file. It's a code, not a documentation. In my opinion, EOL normalization applies to documentation only.
Comment 3 Petr Šabata 2015-08-24 09:08:01 EDT
(In reply to Petr Pisar from comment #2)
> (In reply to Petr Šabata from comment #1)
> > * Missing buildtime dependency: sed, used on line 46
> > 
> I fixed it. Updated package is on the same URL.

Ack.

> > * Correct EOLs of lib/Iterator/Simple/Lookahead.pm, too.
> I do not want to convert this file. It's a code, not a documentation. In my
> opinion, EOL normalization applies to documentation only.

It's kind of both.  The file even contains more POD than Perl code :)
Anyhow, subjective and non-critical.  Approving.
Comment 4 Petr Pisar 2015-08-25 07:22:15 EDT
New Package SCM Request
=======================
Package Name: perl-Iterator-Simple-Lookahead
Short Description: Simple iterator with look-ahead and unget
Upstream URL: http://search.cpan.org/dist/Iterator-Simple-Lookahead/
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2015-08-25 09:26:59 EDT
Git done (by process-git-requests).
Comment 6 Petr Pisar 2015-08-25 09:59:20 EDT
Thank you for the review and the repository.
Comment 7 Petr Pisar 2015-09-02 09:22:05 EDT
Package Change Request
======================
Package Name: perl-Iterator-Simple-Lookahead
New Branches: f23
Owners: ppisar jplesnik psabata
InitialCC: perl-sig
Comment 8 Gwyn Ciesla 2015-09-03 08:50:26 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2015-09-03 10:56:02 EDT
perl-Iterator-Simple-0.06-1.fc23 perl-Iterator-Simple-Lookahead-0.07-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14985
Comment 10 Fedora Update System 2015-09-04 03:33:49 EDT
perl-Iterator-Simple-0.06-1.fc23, perl-Iterator-Simple-Lookahead-0.07-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-Iterator-Simple-Lookahead perl-Iterator-Simple'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14985
Comment 11 Fedora Update System 2015-09-21 06:50:54 EDT
perl-Iterator-Simple-0.06-1.fc23, perl-Iterator-Simple-Lookahead-0.07-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.